allow prod syncs of sigs to be specific

This commit is contained in:
Louis Abel 2023-04-05 01:16:50 -07:00
parent 0ed285a93c
commit 7fbf226e43
Signed by: label
GPG Key ID: B37E62D143879B36
2 changed files with 9 additions and 7 deletions

View File

@ -4,17 +4,19 @@
# shellcheck disable=SC2046,1091,1090 # shellcheck disable=SC2046,1091,1090
source "$(dirname "$0")/common" source "$(dirname "$0")/common"
#if [[ $# -eq 0 ]] || [[ $# -eq 1 ]]; then if [[ $# -eq 0 ]]; then
# echo "Not enough information." echo "Not enough information."
# echo "You must use: shortname sig" echo "You must use: sig"
# exit 1 exit 1
#fi fi
cd "${STAGING_ROOT}/${SIG_CATEGORY_STUB}/${MAJOR}" || { echo "Failed to change directory"; ret_val=1; exit 1; } SIG=${1}
cd "${STAGING_ROOT}/${SIG_CATEGORY_STUB}/${MAJOR}/${SIG}" || { echo "Failed to change directory"; ret_val=1; exit 1; }
ret_val=$? ret_val=$?
if [ $ret_val -eq "0" ]; then if [ $ret_val -eq "0" ]; then
TARGET=${PRODUCTION_ROOT}/${SIG_CATEGORY_STUB}/${MAJOR}/ TARGET=${PRODUCTION_ROOT}/${SIG_CATEGORY_STUB}/${MAJOR}/${SIG}/
mkdir -p "${TARGET}" mkdir -p "${TARGET}"
# disabling because none of our files should be starting with dashes. If they # disabling because none of our files should be starting with dashes. If they
# are something is *seriously* wrong here. # are something is *seriously* wrong here.